curl --request GET \
--url https://api.us.cr4ce.com/file/{token} \
--header 'Accept: <accept>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.us.cr4ce.com/file/{token}"
headers = {
"Accept": "<accept>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', 'x-api-key': '<api-key>'}};
fetch('https://api.us.cr4ce.com/file/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"download_link": "https://files.au.cr4ce.com/file/AbCdEfGhIjKlMnOp/squirrel-on-log.jpg?Expires=1781485359&Signature=REDACTED&Key-Pair-Id=REDACTED",
"duration": null,
"filename": "squirrel-on-log.jpg",
"image_height": null,
"image_width": null,
"metadata": {
"title": "",
"caption": "",
"copyright": "",
"created": "",
"city": "",
"country": "",
"state": "",
"camera": "",
"exposure": "",
"iso": "",
"fstop": "",
"focal_length": "",
"size": "768 x 574"
},
"mime": "image/jpeg",
"size": 26513,
"transcoding": []
}{
"message": "<string>",
"status_code": 400
}{
"message": "<string>",
"status_code": 401
}{
"message": "<string>",
"status_code": 403
}{
"message": "<string>",
"status_code": 429
}{
"status": "Maintenance in progress"
}Get file information
Get file information for the file identified by the specified token. Unknown tokens return 400 Bad Request.
Authorizations
API key used to authenticate and authorise every request.
Include it in the x-api-key header.
Headers
Defines the response type.
application/vnd.Creative Force.v2.3+json, application/vnd.Creative Force.v2.3+xml Defines the languages included in the response. If non are provided, the account default language is returned.
Value all overrides any other values present.
You can request multiple languages using a comma-separated string of languages.
The selected language must be supported by your account or a 400 error is returned.
all, ar_AR, bg_BG, bn_IN, ca_ES, cs_CZ, cy_GB, da_DK, de_DE, en_GB, en_US, el_GR, es_NN, es_LA, et_EE, fa_NN, fi_FI, fr_FR, fr_CA, he_IL, hi_IN, hr_HR, hu_HU, hy_AM, it_IT, ja_JP, ko_KR, lt_LT, ms_MY, nl_NL, nb_NO, pl_PL, pt_BR, ro_RO, ru_RU, sk_SK, sl_SI, sq_AL, sr_RS, sv_SE, sw_NN, th_TH, tr_TR, uk_UA, vi_VN, zh_CN, zh_HK Path Parameters
Token string.
^[A-Za-z0-9]{16}$|^[A-Za-z0-9]{32}$Response
File information retrieved.
Download URL for the file.
Duration of the file in seconds, or null for files without a duration.
Name of the file.
Height of the image in pixels, or null when not available.
Width of the image in pixels, or null when not available.
File metadata.
Show child attributes
Show child attributes
MIME type of the file.
Size of the file.
Transcoded file variants. Empty when the file is not a video.
Show child attributes
Show child attributes